import request from '@/utils/request'
import {upFilse} from '@/utils/request'
//上传图片
export function upload(data) {
	return upFilse({
		url: '/api/user/qiniuUpload',
		method: 'post',
		data
	});
}
// 修改用户信息
export function userEdit(data) {
	return request({
		url: '/api/user/setUserInfo',
		method: 'post',
		data
	});
}

//退出登录
export function logout(data) {
	return request({
		url: '/api/logout',
		method: 'get',
		data
	});
}
//修改密码
export function registerReset(data) {
	return request({
		url: '/api/register/reset',
		method: 'post',
		data
	});
}

//绑定手机
export function binding(data) {
	return request({
		url: '/api/user/bindMobile',
		method: 'post',
		data
	});
}

//补充定位
export function addLng(data) {
	return request({
		url: '/api/user/lal',
		method: 'post',
		data
	});
}